#############################                                                                                                                                 
#                    	TRANSPORTS                         #                                                                                                                                                                        
#############################

    #helo_data = ${if exists {somedir/hello}{${lookup{$sender_address_domain}lsearch*{somedir/hello}{$value}{$primary_hostname}}}{$primary_hostname}}  

begin transports

smtp_proxy:
    driver = smtp
    authenticated_sender = $local_part
    protocol = smtp
    port = 25
    allow_localhost = true  
    return_path_add
    helo_data = $sender_address_domain
    tls_certificate = ${if exists{CERTPATH/${tls_sni}.pem}{CERTPATH/${tls_sni}.pem}{CERTPATH/default.pem}}
    tls_privatekey  = ${if exists{CERTPATH/${tls_sni}.key}{CERTPATH/${tls_sni}.key}{CERTPATH/default.key}}   
    #DKIM
    
    dkim_domain = ${sg{${lc:${domain:$h_from:}}}{^www\.}{}}                  
    dkim_private_key = ${if exists{/media/sysdata/in4/context/secure/rsa/dkim/${lc:${domain:$h_from:}}.key}{/media/sysdata/in4/context/secure/rsa/dkim/${lookup {${lc:${domain:$h_from:}}.key} dsearch {/media/sysdata/in4/context/secure/rsa/dkim/}}}{0}}
    dkim_selector  = x
    hosts_require_tls = *
    tls_tempfail_tryclear = true
    #SOCKS PROXY
    socks_proxy = 127.0.0.1 port=55554
    
smtp:
    driver = smtp
    authenticated_sender = $local_part
    protocol = smtp
    interface = ${if exists {/etc/exim/smtp_ip}{${lookup{$domain}lsearch*{/etc/exim/smtp_ip}{$value}{}}}{}}  
    port = 25
    allow_localhost = true  
    return_path_add
    helo_data = $sender_address_domain
    tls_certificate = ${if exists{CERTPATH/${tls_sni}.pem}{CERTPATH/${tls_sni}.pem}{CERTPATH/default.pem}}
    tls_privatekey  = ${if exists{CERTPATH/${tls_sni}.key}{CERTPATH/${tls_sni}.key}{CERTPATH/default.key}}
    #DKIM
    dkim_domain = ${sg{${lc:${domain:$h_from:}}}{^www\.}{}}  
    dkim_private_key = ${if exists{/media/sysdata/in4/context/secure/rsa/dkim/${lc:${domain:$h_from:}}.key}{/media/sysdata/in4/context/secure/rsa/dkim/${lookup {${lc:${domain:$h_from:}}.key} dsearch {/media/sysdata/in4/context/secure/rsa/dkim/}}}{0}}
    dkim_selector  = x
    hosts_require_tls = *
    tls_tempfail_tryclear = true

smtp_auth_x:
    driver = smtp
    authenticated_sender = $local_part
    protocol = smtp
    interface = ${if exists {/etc/exim/smtp_ip}{${lookup{$domain}lsearch*{/etc/exim/smtp_ip}{$value}{}}}{}}  
    port = 25
    allow_localhost = true  
    return_path_add
    helo_data = $sender_address_domain
    tls_certificate = ${if exists{CERTPATH/${tls_sni}.pem}{CERTPATH/${tls_sni}.pem}{CERTPATH/default.pem}}
    tls_privatekey  = ${if exists{CERTPATH/${tls_sni}.key}{CERTPATH/${tls_sni}.key}{CERTPATH/default.key}}
    #DKIM
    dkim_domain = ${sg{${lc:${domain:$h_from:}}}{^www\.}{}}  
    dkim_private_key = ${if exists{/media/sysdata/in4/context/secure/rsa/dkim/${lc:${domain:$h_from:}}.key}{/media/sysdata/in4/context/secure/rsa/dkim/${lookup {${lc:${domain:$h_from:}}.key} dsearch {/media/sysdata/in4/context/secure/rsa/dkim/}}}{0}}
    dkim_selector  = x
    hosts_require_tls = *
    tls_tempfail_tryclear = true
    #AUTH
    hosts_require_auth = x
    hosts_try_auth = x
    
    
lmtp_over_smtp:
    driver = smtp
    authenticated_sender = $local_part
    protocol = lmtp
    interface = ${if exists {/etc/exim/smtp_ip}{${lookup{$domain}lsearch*{/etc/exim/smtp_ip}{$value}{}}}{}}  
    port = 24  
    allow_localhost = true
    hosts = {$address_data}  
    ## FEATURE
    return_path_add
    rcpt_include_affixes
  
http:
    driver = pipe
    freeze_signal = true                                                                                                                                                                                                                                                         
    freeze_exec_fail = true                                                                                                                                                                                                                                                      
    temp_errors = *                                                                                                                                                                                                                                                              
    timeout = 30s    
    command = /etc/exim/handlers/http $address_data
  
devnull:
    driver = appendfile
    file = /dev/null  

## OTHERS ##

address_pipe:
    driver = pipe
    return_output

address_file:
    driver = appendfile
    delivery_date_add
    envelope_to_add
    return_path_add

address_reply:
    driver = autoreply
 
